# Variables for Limio Components

## List of variables that can be used in Limio Components

## Component String Variables

This document is a place to centrally organise and document the variables that can be parsed from a string prop.

For instance, if a user to types in “Your subscription will end on {{termEndDate}}” into the Limio Prop in the PageBuilder then the component would display “Your subscription will end on 25th December 2021”. In the code this would look like:

| **Component**        | **Variable**                  | **Props**                                                          | **Purpose**                                                                                                                                                                                                                                   |
| -------------------- | ----------------------------- | ------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Cancel Save Offer    | termEndDate                   | subheading\_\_limio\_richtext                                      | Shows the date when the subscription ends                                                                                                                                                                                                     |
| Cancel Save Offer    | discountRate                  | discountDetails                                                    | Shows the percentage value of the discount on the offer.                                                                                                                                                                                      |
| Cancel Save Offer    | discountPeriod                | detailedSubheading                                                 | The length of time the discount applies for e.g. 12 months                                                                                                                                                                                    |
| Cancel Save Offer    | currentPrice                  | nextPaymentDetails\_\_limio\_\_richtext                            | Price before discount                                                                                                                                                                                                                         |
| Cancel Save Offer    | nextPriceWithDiscount         | nextPaymentDetails\_\_limio\_\_richtext                            | Price after discount                                                                                                                                                                                                                          |
| Cancel Save Offer    | discountEndDate               | confirmSubheading                                                  | Discount end date                                                                                                                                                                                                                             |
| Order Change Success | termEndDate                   | heading, subheading\_\_limio\_richtext                             | Shows the date when the subscription ends                                                                                                                                                                                                     |
| Order Change Success | nextPaymentDate               |                                                                    | Shows the next payment date according to the schedule                                                                                                                                                                                         |
| Order Change Success | nextPaymentCost               |                                                                    | Shows the next payment cost according to the schedule                                                                                                                                                                                         |
| Order Change Success | currentPaymentCost            |                                                                    | Shows the current price of the sub                                                                                                                                                                                                            |
| Order Change Success | discountEndDate               |                                                                    | Shows the date the discount ends                                                                                                                                                                                                              |
| Single Page Checkout | displayAmount                 | authorisationMessage                                               | Shows the authorisation charge                                                                                                                                                                                                                |
| Single Page Checkout | today                         | initialTermDisplay                                                 | Displays today's date                                                                                                                                                                                                                         |
| Single Page Checkout | endDate                       |                                                                    | Displays the term end date.                                                                                                                                                                                                                   |
| Single Page Checkout | totalCost                     | consents (type: information)                                       | Displays the cost of all items in the basket.                                                                                                                                                                                                 |
| Single Page Checkout | termEndDate                   |                                                                    | Displays the term end date.                                                                                                                                                                                                                   |
| Single Page Checkout | city\_name\_type              | cityLabel                                                          | Displays the country-specific city name type e.g city                                                                                                                                                                                         |
| Single Page Checkout | state\_name\_type             | stateLabel, deliveryStateLabel, invalidStateMessage                | Displays the country-specific state or county name e.g. region or state                                                                                                                                                                       |
| Single Page Checkout | zip\_name\_type               | postalCodeLabel, deliveryPostalCodeLabel, invalidPostalCodeMessage | Displays the country-specific zip or post code e.g. zip                                                                                                                                                                                       |
| Order confirmation   | customerDetails.email         | message                                                            | Displays the logged in customers email                                                                                                                                                                                                        |
| Order confirmation   | recipientEmail                | giftMessage                                                        | Displays the email of the giftee. Gift orders only.                                                                                                                                                                                           |
| Order confirmation   | giftDate                      | giftMessage                                                        | Displays the email message for the giftee (if provided by the user in the checkout). Gift orders only.                                                                                                                                        |
| Order confirmation   | order\_reference              | referenceMessage                                                   | The Limio order reference number.                                                                                                                                                                                                             |
| Order confirmation   | sub\_reference                | referenceMessage                                                   | The subscription reference number.                                                                                                                                                                                                            |
| Cart Items           | data.attributes.attributeName | Offer Additional Information                                       | Display any offer or add\_on attribute, custom or Limio out-of-the-box, by replacing attributeName with the name of the offer attribute. For example, {{data.attributes.display\_name\_\_limio}} would show the offer display name attribute. |
| Cart Items           | subscriptionNumber            | Offer Additional Information                                       | Subscription number of the purchased order item. *Only present when cart item is used on complete page.*                                                                                                                                      |
| Cart Items           | termStartDate                 | Offer Additional Information                                       | Subscription term start date of the purchased order item. *Only present when cart item is used on complete page and user is logged in.*                                                                                                       |
| Cart Items           | termEndDate                   | Offer Additional Information                                       | Subscription term end date of the purchased order item. *Only present when cart item is used on complete page and user is logged in.*                                                                                                         |
| Cart Items           | nextPaymentAmount             | Offer Additional Information                                       | The amount the user will be charged on their next payment. *Only present when cart item is used on complete page and user is logged in.*                                                                                                      |
| Cart Items           | renewalPrice                  | Offer Additional Information                                       | Thea amount the user will be charged after once their current term has lapsed. *Only present when cart item is used on complete page and user is logged in.*                                                                                  |
| Cart Items           | data.attributes.attributeName | Add On Additional Information                                      | Display any add-on attribute, custom or Limio out-of-the-box, by replacing attributeName with the name of the add-on attribute. For example, {{data.attributes.description\_\_limio}} would show the add-on description attribute.            |
| Promo Code Redeem    | promo\_code                   | Successful promo code message                                      | Applied promo code name                                                                                                                                                                                                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.limio.com/components/component-library/list-of-variables-that-can-be-used-in-limio-components.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
